Complexity:
Subject: Recursion detection in instantiateClass is broken
Description

The recursion detection in instantiateClass of the ObjectManager is broken - if the speed-optimized path is used, the requested class
is not removed from the list of classes being instantiated.

Associated revisions
Revision 88988c58 - 2012-06-13 12:04 - Karsten Dambekalns

[BUGFIX] Fix recursion detection in instantiateClass

When in ObjectManager->instantiateClass() the speedup case was
used, recursion detection would potentially fail, as it returns
early without removing the class name from the list of classes
currently being instantiated.

Change-Id: Ibbe013952c92a10f209eedf87299a16377aa691e
Fixes: #37997
Releases: 1.1, 1.2

Revision b898eb9b - 2012-06-19 11:10 - Karsten Dambekalns

[BUGFIX] Fix recursion detection in instantiateClass

When in ObjectManager->instantiateClass() the speedup case was
used, recursion detection would potentially fail, as it returns
early without removing the class name from the list of classes
currently being instantiated.

Change-Id: Ibbe013952c92a10f209eedf87299a16377aa691e
Fixes: #37997
Releases: 1.1, 1.2

History
#1 - 2012-06-13 12:04 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12023

#2 - 2012-06-19 11:10 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12186

#3 - 2012-06-19 11:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:88988c587cb1fd45597f46766ae79f76cee4ac5e.

#4 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
